/*
Theme Name: Deventer Kamer Orkest
Theme URI: https://www.clickdreams.nl
Template: hello-elementor
Author: Clickdreams
Author URI: https://www.clickdreams.nl
Description: Custom made theme for Deventer Kamer Orkest
Tags: flexible-header,custom-colors,custom-menu,custom-logo,featured-images,rtl-language-support,threaded-comments,translation-ready
Version: 2.4.1.1625834056
Updated: 2026-07-20 14:34:16

*/

a:focus,*:focus, a { outline: none !important; }

/* Verberg placeholder tijdens focus */
input::placeholder,
textarea::placeholder {
    color: inherit !important;
}

/* Toon placeholder wanneer het veld geen focus heeft */
input:focus::placeholder,
textarea:focus::placeholder {
    color: transparent !important;
}

html { line-height: 1.15; text-size-adjust: 100%; }
body { margin: 0 !important; background: repeating-linear-gradient(108deg, white, white 1px, rgb(231, 236, 228) 1px, rgb(231, 236, 228) 8rem) !important; font-size: 1.125rem; }
p { margin-block-start:  0 !important; }
h3 { margin-bottom: 0.125rem !important; }


/* homepage slider */  
/*#sliderCntr .swiper-slide { max-height: 420px !important; overflow: hidden !important; } */
/*#sliderCntr img.swiper-slide-image { object-fit: cover !important; object-position: center top !important; } */
#sliderCntr .elementor-swiper-button { background-color: var(--e-global-color-secondary) !important; padding: 1rem !important; }
#sliderCntr .elementor-swiper-button-prev { left: 0 !important; }
#sliderCntr .elementor-swiper-button-next { right: 0 !important; }

#headerimgBox { aspect-ratio: 16 / 5 !important };


/*
 * 1. Menu-items MET submenu:
 * underline altijd uitschakelen
 */
#mainmenuBox li.menu-item-has-children > a.elementor-item::after,
#mainmenuBox li.menu-item-has-children > a.elementor-item:hover::after {
    content: none !important;
    display: none !important;
}


/*
 * 2. Actief menu-item ZONDER submenu:
 * standaard geen underline
 */
#mainmenuBox li.current-menu-item:not(.menu-item-has-children) > a.elementor-item::after,
#mainmenuBox li.current_page_item:not(.menu-item-has-children) > a.elementor-item::after {
    width: 0 !important;
    opacity: 0 !important;
}


/*
 * 3. Actief menu-item ZONDER submenu:
 * underline WEL tonen bij hover
 */
#mainmenuBox li.current-menu-item:not(.menu-item-has-children) > a.elementor-item:hover::after,
#mainmenuBox li.current_page_item:not(.menu-item-has-children) > a.elementor-item:hover::after {
    width: 100% !important;
    opacity: 1 !important;
    transform: scale(1) !important;
}
#mainmenuBox ul.sub-menu { padding-top: 20px !important; padding-bottom: 20px !important; }
#mainmenuBox ul.sub-menu > li { position: relative; padding-right: 20px !important; }

/* Arrow rechts in ieder submenu-item */
#mainmenuBox ul.sub-menu > li::after {
    content: "";
    position: absolute;
    right: 15px;
    top: 50%;
    transform: translateY(-50%);
    width: 16px;
    height: 16px;
    background-image: url('/wp-content/themes/dko/menuarrow.svg');
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    pointer-events: none;
}
#mainmenuBox li.menu-item-has-children > a.elementor-item::after {
    content: none !important;
    display: none !important;
}
#mainmenuBox ul.sub-menu::before {
	position: absolute;
    bottom: 100%;
    left: 2rem;
    content: "";
    width: 0px;
    height: 0px;
    border-left: 0.5rem solid transparent;
    border-right: 0.5rem solid transparent;
    border-bottom: 1rem solid white;
}

/* mobile menu */
#mobilemenuBox ul li > a { font-size: 1.25rem !important; }
#mobilemenuBox ul.sub-menu li > a { font-size: 1rem !important; }
#mobilemenuBox ul.sub-menu { display: block !important;  padding-left: 16px !important; position: relative !important; width: 100% !important; }

/* concert archief items */
#highconcertgridBox .highconcertbg { background-color: #fff !important; }
.highconcertBtn a .elementor-button-text { text-decoration: underline !important; }
.hightconcertimgBox { aspect-ratio: 16 / 7 !important; }
.concertimgBox { aspect-ratio: 16 / 9 !important; }

/* wp block button */
.wp-block-button a {
    background-color: var(--e-global-color-secondary) !important;
    font-size: 1.125rem !important;
    font-weight: 400 !important;
    line-height: 1.15rem !important;
    color: #FFFFFF !important;
    border-style: none !important;
    border-radius: 2rem 2rem 2rem 2rem !important;
    padding: 0.75rem 1.25rem 0.75rem 1.25rem !important;
	margin-bottom: 3rem !important;
}

.wp-block-button a:hover {
    background-color: var(--e-global-color-accent) !important;
    color: #FFFFFF !important;
}

/* login page */
.leden-login-field, .leden-login-remember, .leden-login-button { margin-bottom: 1rem; }
.leden-login-field label { margin-bottom: 0.75rem; }
.leden-login-message { margin: 2rem 0; }
.leden-login-message.leden-login-error { color: var(--e-global-color-accent) !important; }
.leden-login-message.leden-login-success { color: var(--e-global-color-secondary) !important;}